<?php

class ControllerModuleValorMinimo extends Controller
{

    public function index($return = false)
    {

        if (!$this->config->get('valor_minimo_status') || ($this->config->get('valor_minimo') <= 0)) {
            return false;
        }

        //Se tiver configurado para nao mostrar preco para usuario deslogado nao deve aparecer esta parte no carrinho
        if ($this->config->get('config_customer_price') && !$this->customer->isLogged()) {
            return false;
        }

        $subtotal = $this->cart->getSubTotal();
        $valor_minimo = floatval(str_replace(['.', ','], ['', '.'], $this->config->get('valor_minimo')));

        $this->data['missing_value'] = $this->currency->format($valor_minimo - $subtotal);
        $this->data['progress_total'] = $subtotal / $valor_minimo * 100;

        if (($subtotal < $valor_minimo) && ($this->customer->getTipo_pessoa() == $this->config->get('valor_minimo_tipopessoa') || ($this->config->get('valor_minimo_tipopessoa') == Type_CadastroPessoa::Tp_Ambos))) {
            $this->data['warning'] = true;
        } else {
            return false;
        }

        $language = $this->load->language('module/valor_minimo');
        $this->data = array_merge($this->data, $language);

        $this->data['minimum_value'] = $this->currency->getSymbolLeft() . $this->config->get('valor_minimo');

        if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/valor_minimo.twig')) {
            $this->template = $this->config->get('config_template') . '/template/module/valor_minimo.twig';
        } else {
            $this->template = 'default/template/module/valor_minimo.twig';
        }

        if ($return) {
            return $this->render();
        } else {
            $this->render();
        }
    }

}
